<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\Anwesenheiten\Feedback;

class SendeKursTageFeedbackController extends \Kufer\KuferTools\Basis\KursDetails\Feedback\SendFeedbackController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new SendeKursTageFeedbackUseCase($this->getRequestObj());
  }

  protected function getNewRequestObj()
  {
    return new SendKursTageFeedbackRequest();
  }

  protected function getRequestObj()
  {
    
    $requestObj = parent::getRequestObj();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->ktId = \GetOperations::getVarValue('ktid');

    
    $action = \GetOperations::getVarValue('action');

    return $this->handleXsrf($requestObj, $action, $requestObj->ktId);
  }
}